Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=amsterdam&country_abbreviation=nl&interior_sq_m_source_eq=Document&page=1&province_abbreviation=nho&results_per_page=3&select=address,interior_sq_m,interior_sq_m_source,construction_year"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'amsterdam');
url.searchParams.set('country_abbreviation', 'nl');
url.searchParams.set('interior_sq_m_source_eq', 'Document');
url.searchParams.set('page', '1');
url.searchParams.set('province_abbreviation', 'nho');
url.searchParams.set('results_per_page', '3');
url.searchParams.set('select', 'address,interior_sq_m,interior_sq_m_source,construction_year');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 0.69000006,
"data": [
{
"address": "3 546B Beemsterstraat",
"construction_year": 1969,
"interior_sq_m": 96.0,
"interior_sq_m_source": "Document",
"property_id": "100040274022f702"
},
{
"address": "984B Amstelveenseweg",
"construction_year": 2006,
"interior_sq_m": 66.0,
"interior_sq_m_source": "Document",
"property_id": "100090e6518b99f4"
},
{
"address": "3 24 Waalstraat",
"construction_year": 1925,
"interior_sq_m": 75.0,
"interior_sq_m_source": "Document",
"property_id": "10009e81e2949577"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 162541
},
"price_quote": false,
"result_total": 487623,
"time_ms": 5887,
"ui_info": {
"city": "Amsterdam",
"city_id": "89a98f50360c960c",
"city_link": "nl/nho/amsterdam",
"city_slug": "amsterdam",
"country": "Netherlands",
"country_abbreviation": "NL",
"country_abbreviation_id": "5415fd86d346b2e6",
"country_abbreviation_link": "nl",
"country_slug": "netherlands",
"province": "Noord-Holland",
"province_abbreviation": "NHO",
"province_abbreviation_id": "800207f242788a95",
"province_abbreviation_link": "nl/nho",
"province_slug": "noord-holland"
}
}